/*
 * plotdot.c
 *
 * Plot a dot or symbol on the paper 
 */
#include "defn.h"

plotdot(type)
char   *type;
{
    end_draw();

	if (SYMBOLX)
	{
	  if ((symbol >= 'a') && (symbol <= 'z'))
	    fprintf(outfile,
 	     "%g %g 0.5 0.27 %g (%c) Symbol\n", absX, absY, 
	      char_angle, symbol);
          else
	    fprintf(outfile,
 	     "%g %g 0.5 0.4 %g (%c) Symbol\n", absX, absY, 
	      char_angle, symbol);
        }
    	else
	if (SETDOT && PENDOWN)
	{
    	    fprintf(outfile, "newpath\n");
    	    fprintf(outfile,
		"  %g %g %s %g %g %s\n", absX, absY, MOVE, absX, absY, DRAW);
	    fprintf(outfile, "stroke\n");
	}
}
